/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package test.compliance.standard.support;

import javax.management.StandardMBean;

public class MBeanRunnable 
   extends StandardMBean
   implements Runnable
{
   /**
    * We provide the management interface
    */
   public MBeanRunnable()
      throws Exception
   {
      super(Runnable.class);
   }

   public MBeanRunnable(boolean wrongInterface)
      throws Exception
   {
      super(ArbitraryInterface.class);
   }

   public MBeanRunnable(int nullInterface)
      throws Exception
   {
      super(null);
   }

   public void run()
   {
   }
}
